import dynamix_sdk.base as _base


class CloudapiVinsDnsApplyResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsDnsApplyProtocol(_base.BasePostAPIFunctionProtocol):
    def dns_apply(
        self,
        *,
        vins_id: int,
        dns_servers: list[str] | None = None
    ) -> CloudapiVinsDnsApplyResultBool:
        ...
